#
# Conditional build:
%bcond_without	static		# don't build static version

Summary:	A minimal init system for Linux containers
Name:		dumb-init
Version:	1.1.3
Release:	1
License:	MIT
Group:		Base
Source0:	https://github.com/Yelp/dumb-init/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cc910402302810b750858e5bb2a5433e
URL:		https://github.com/Yelp/dumb-init
%if %{with static}
BuildRequires:	musl-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
dumb-init is a simple process supervisor and init system designed to
run as PID 1 inside minimal container environments (such as Docker).
It is a deployed as a small, statically-linked binary written in C.

%package static
Summary:	A minimal init system for Linux containers (static)
Group:		Base

%description static
dumb-init is a simple process supervisor and init system designed to
run as PID 1 inside minimal container environments (such as Docker).
It is a deployed as a small, statically-linked binary written in C.

This package contains statically linked version of dumb-init.

%prep
%setup -q

%build
%if %{with static}
%{__make} \
	CC="musl-gcc" \
	CFLAGS="%{rpmcflags} -std=gnu99 -Wall -Werror -static"
mv dumb-init dumb-init-static
%{__make} clean
%endif

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -std=gnu99 -Wall -Werror"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
install -p dumb-init $RPM_BUILD_ROOT%{_sbindir}
%if %{with static}
install -p dumb-init-static $RPM_BUILD_ROOT%{_sbindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_sbindir}/dumb-init

%if %{with static}
%files static
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_sbindir}/dumb-init-static
%endif
%changelog
* Sun Sep 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dumb-init.git;a=log;h=master

* Sun Sep 18 2016 Elan Ruusamäe <glen@delfi.ee> cdfe8ed
- up to 1.1.3

* Sun Sep 18 2016 Jan Rękorajski <baggins@pld-linux.org> 15ddeef
- make static binbary really static
- rel 4

* Sun Sep 18 2016 Elan Ruusamäe <glen@delfi.ee> 1b5732a
- musl-1.1.15-1 rebuild
- release 3 (by relup.sh)

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> e2bca0a
- rel 2

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> 74e2d6a
- fix deps

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> c850af1
- add static version, compiled with musl

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> 24dd59a
- new, version 1.0.1

